<dx-popup [(visible)]='isGenTransVisible' width='70vw' height='auto' [focusStateEnabled]='false'>
    <div id='wizard' class="wizardHeader" *dxTemplate="let data of 'title'">
        <!-- <div class="row"> -->
        <div class="logo-small wizardImage">
            <img src="assets/img/logo.svg" />
        </div>
        <!-- <span class='popupText'>Wizard</span> -->
        <!-- <div class='closeButton'>
                    <dx-button icon='close' (click)='isWizardVisible = false'> </dx-button>
                </div> -->
        <!-- </div> -->
        <ul class="wizard">
            <li [class.active]='wizardState == 0' style='width:30%'>
                <span>Generare</span>
            </li>
            <li [class.active]='wizardState == 1' style='width:30%'>
                <span>Transport</span>
            </li>
            <li [class.active]='wizardState == 2' style='width:30%'>
                <span>Finalizare transport</span>
            </li>
        </ul>
        <div class='closeButton'>
            <dx-button icon='close' (onClick)='closeWizard($event)'></dx-button>
        </div>
    </div>

    <div *dxTemplate="let data of 'content'">
        <dx-multi-view #multiview [dataSource]="multiViewItems" [focusStateEnabled]='false' [swipeEnabled]='false'
            itemTemplate="items">
            <div *dxTemplate="let item of 'items'">
                <div style='margin:25px;'>
                    <h1>{{item.title}}</h1>
                    <div *ngIf='wizardState == 0'>
                    <app-edit-generate></app-edit-generate>
                    </div>
                    <div *ngIf='wizardState == 1'>
                        <app-edit-transport></app-edit-transport>
                    </div>
                    <div *ngIf='wizardState == 2'>
                        <app-finish-transport></app-finish-transport>
                    </div>
                </div>
            </div>
        </dx-multi-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [visible]='wizardState > 0'
        [options]="{ text:'< Înapoi', type: 'normal', onClick: goToPrevious, validationGroup: wizardValidation }">
    </dxi-toolbar-item>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [visible]='wizardState < 2'
        [options]="{ text:'Înainte >', type: 'normal', onClick: goToNext, validationGroup: wizardValidation }">
    </dxi-toolbar-item>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [visible]='wizardState == 2'
        [options]="{ text:'Finalizează', type: 'normal', onClick: onFinish, validationGroup: wizardValidation }">
    </dxi-toolbar-item>
</dx-popup>